Bug 838939 - Clicking on Global Role Grants displays "invalid permission object type".
Clicking on Global Role Grants displays "invalid permission object type".
Status: CLOSED ERRATA
Product: CloudForms Cloud Engine
Classification: Red Hat
Component: aeolus-conductor (Show other bugs)
1.1.0
Unspecified Unspecified
unspecified Severity medium
: rc
: ---
Assigned To: Scott Seago
Rehana
:
: 838947 839178 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-10 09:27 EDT by Aziza Karol
Modified: 2012-12-04 10:12 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
A code regression caused an "invalid permission object type" error when viewing the Global Role Grants screen. This bug fix corrects the regression and provides access to the Global Role Grants screen without error.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-04 10:12:36 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
global role grant (152.73 KB, image/png)
2012-07-10 09:36 EDT, Aziza Karol
no flags Details

  None (edit)
Description Aziza Karol 2012-07-10 09:27:23 EDT
Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.Navigate to Administer->user->Global Role Grants.

  
Actual results:
"invalid permission object type" is  displayed. see attached screenshot.

Expected results:
should work


Additional info:
rpm -qa | grep aeolus
aeolus-configure-2.7.0-0.20120709172029gite93c068.fc16.noarch
aeolus-conductor-0.11.0-0.20120709213339gitb6f79a1.fc16.noarch
aeolus-all-0.11.0-0.20120709213339gitb6f79a1.fc16.noarch
rubygem-aeolus-image-0.3.0-2.fc16.noarch
aeolus-conductor-daemons-0.11.0-0.20120709213339gitb6f79a1.fc16.noarch
aeolus-conductor-devel-0.11.0-0.20120709213339gitb6f79a1.fc16.noarch
rubygem-aeolus-cli-0.3.0-3.fc16.noarch
aeolus-conductor-doc-0.11.0-0.20120709213339gitb6f79a1.fc16.noarch
Comment 1 Aziza Karol 2012-07-10 09:36:53 EDT
Created attachment 597340 [details]
global role grant
Comment 2 Rehana 2012-07-10 09:41:42 EDT
*** Bug 838947 has been marked as a duplicate of this bug. ***
Comment 3 pushpesh sharma 2012-07-11 03:21:29 EDT
*** Bug 839178 has been marked as a duplicate of this bug. ***
Comment 4 Scott Seago 2012-07-11 12:00:16 EDT
A happy coincidence -- I fixed this yesterday but was unaware of this bug.

It's at the following commits on the master branch:
d22a0759480b8aad2e50c92dc15b8ab8abb77d10
989ed00cebdb1a79e8459ab96d9f7d7d4f11849b
9fc8009039a61324bac8b254a61844d86caab5da


There was a regression introduced in some of the security fixes that didn't take into account the fact that for the global role grants page, there is no permission_object_type and permission_object_id passed into the page. The other two patches are related work to fix the error page http status code so that my new test for this regression would work, and some other fixes exposed by this status code change.
Comment 6 Dave Johnson 2012-09-17 16:01:02 EDT
good 2 go using CFCE v1.1 2012-09-14.5 puddle

[root@hp-bl685cg6-01 data]# rpm -qa | grep aeolus | sort
aeolus-all-0.13.7-1.el6cf.noarch
aeolus-conductor-0.13.7-1.el6cf.noarch
aeolus-conductor-daemons-0.13.7-1.el6cf.noarch
aeolus-conductor-doc-0.13.7-1.el6cf.noarch
aeolus-configure-2.8.6-1.el6cf.noarch
rubygem-aeolus-cli-0.7.1-1.el6cf.noarch
rubygem-aeolus-image-0.3.0-12.el6.noarch
Comment 8 errata-xmlrpc 2012-12-04 10:12:36 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHEA-2012-1516.html

Note You need to log in before you can comment on or make changes to this bug.